# -*- coding: utf-8 -*-
# -*- python -*-
# Copyright (C) 2007 by Jason Whitlark
#
# This file may be distributed and/or modified under the terms of
# the GNU General Public License version 2 as published by
# the Free Software Foundation.
# This file is distributed without any warranty; without even the implied
# warranty of merchantability or fitness for a particular purpose.
# See "COPYING" in the source distribution for more information.
#
# $Id$
#

from sdapplet.pluginutils import *

class plugin_printer:
    def __init__(self):
        self.service_type = ["_ipp._tcp", "_pdl-datastream._tcp", "_printer._tcp"]
        self.author = "Jason Whitlark"
        self.description = "Direct user to printer configuration applet"

    def connect(self, use_host_names, name, stype, hostname, address, port, txts):
	msg = """Detected printers can be configured via the System->Administration->Printing menu"""
	message(msg)

def load():
    return plugin_printer()
